using Aspose.Words;
using GrapeCity.ActiveReports.Core.Document.Drawing.Gdi.Utility;
using GrapeCity.Viewer.Common.Model;
using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Drawing.Imaging;
using System.IO;
using System.Windows.Forms;

namespace PictureControlSample
{
    /// <summary>
    /// Summary description for SectionReport1.
    /// </summary>
    public partial class SampleReport : GrapeCity.ActiveReports.SectionReport
    {

        public SampleReport()
        {
            //
            // Required for Windows Form Designer support
            //
            InitializeComponent();

        }
        private void reportHeader1_Format_1(object sender, EventArgs e)
        {
            ConvertTIFFImage();
            image.Image = GetImage();
        }
        public void ConvertTIFFImage()
        {
            using (var image = Aspose.Imaging.Image.Load("TIFFImage.tiff"))
            {
                var exportOptions = new Aspose.Imaging.ImageOptions.BmpOptions();
                image.Save(("TIFFImage.bmp"), exportOptions);
            }
        }
        public Image GetImage()
        {
            string imagePath = "TIFFImage.bmp";
            Image image;
            using (FileStream fileStream = new FileStream(imagePath, FileMode.Open))
            {
                MemoryStream stream = new MemoryStream();
                fileStream.CopyTo(stream);
                image = Image.FromStream(stream);
            }
            return image;
        }

    }
}
