﻿
using GrapeCity.ActiveReports.Core.Document.Drawing.Gdi.Utility;
using GrapeCity.ActiveReports.Core.Export.Tiff.Section;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Drawing.Imaging;
using System.Text;
using System.Windows.Forms;

namespace PictureControlSample
{
    public partial class ViewerForm : Form
    {
        SampleReport rpt = new SampleReport();
        public ViewerForm()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            arViewer.LoadDocument(rpt);
        }
        private void btnExport_Click(object sender, EventArgs e)
        {
            rpt.Run();
            int count = rpt.Document.Pages.Count;
            Console.WriteLine("Count=================> " + count.ToString());
            GrapeCity.ActiveReports.Export.Pdf.Section.PdfExport PdfExport1 = new GrapeCity.ActiveReports.Export.Pdf.Section.PdfExport();
            PdfExport1.Export(rpt.Document, Application.StartupPath + "\\ExportedPDF.pdf");
            Process.Start(Application.StartupPath + "\\ExportedPDF.pdf");
        }
        public void TIFFExport()
        {
            rpt.Run();
            GrapeCity.ActiveReports.Export.Image.Tiff.Section.TiffExport TiffExport1 = new GrapeCity.ActiveReports.Export.Image.Tiff.Section.TiffExport();
            TiffExport1.Export(rpt.Document, Application.StartupPath + "\\TIFFExpt.tiff");
            TiffExport1.Dispose();
            Process.Start(Application.StartupPath + "\\TIFFExpt.tiff");
        }

        private void btnTIFFExport_Click(object sender, EventArgs e)
        {
            TIFFExport();
        }
    }
}
